Bot templates
Get a touch
One touch’s receipt and linkage facts. Reference-only: ids, statuses, times and amounts, never a name or address. Needs we_bots.view.
GET
/
api
/
company
/
v2026-10
/
bots
/
{bot_id}
/
touches
/
{id}
Get a touch
curl --request GET \
--url https://api.fluid.app/api/company/v2026-10/bots/{bot_id}/touches/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/v2026-10/bots/{bot_id}/touches/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/v2026-10/bots/{bot_id}/touches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/v2026-10/bots/{bot_id}/touches/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/v2026-10/bots/{bot_id}/touches/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/company/v2026-10/bots/{bot_id}/touches/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/v2026-10/bots/{bot_id}/touches/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"touch": {
"id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a90",
"bot_id": "0192f3c4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
"playbook_key": "declined_subscription",
"subject_type": "Commerce::Subscription",
"subject_id": "481",
"episode_key": "481:1761091200",
"arm": "treatment",
"status": "sent",
"refusal_reason": null,
"lever": "update_payment",
"channel": "email",
"message_type": "we_bot_subscription_save",
"slots": {},
"run_id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a95",
"approval_id": null,
"delivery_state": "sent",
"provider_message_id": "0100019a-ses",
"comms_event_id": null,
"click_count": null,
"template_version_id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a92",
"assigned_at": "2026-10-22T15:32:08Z",
"scheduled_for": null,
"requested_at": "2026-10-22T15:32:08Z",
"sent_at": "2026-10-22T15:32:08Z",
"delivered_at": "2026-10-22T15:32:08Z",
"first_opened_at": null,
"bounced_at": null,
"complained_at": null,
"first_clicked_at": null,
"window_ends_at": "2026-11-05T15:32:08Z",
"links": [
{
"kind": "subscription_recovered",
"order_id": 9012,
"ordered_at": "2026-10-22T15:32:08Z",
"amount_in_base_cents": 4999,
"financial_status": "paid"
}
]
},
"status": 200,
"meta": {
"request_uuid": "7e2c9b41-3f8a-4d15-b6e0-9a4c21d7f583",
"timestamp": "2026-10-22T15:32:08Z"
}
}{
"message": "Invalid credentials."
}{
"error": "Not authorized."
}{
"error": {
"message": "Bot not found",
"details": {}
},
"status": 404,
"meta": {
"request_uuid": "7e2c9b41-3f8a-4d15-b6e0-9a4c21d7f583",
"timestamp": "2026-10-22T15:32:08Z"
}
}Authorizations
The session token of an admin of your company.
⌘I
Get a touch
curl --request GET \
--url https://api.fluid.app/api/company/v2026-10/bots/{bot_id}/touches/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/v2026-10/bots/{bot_id}/touches/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/v2026-10/bots/{bot_id}/touches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/v2026-10/bots/{bot_id}/touches/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/v2026-10/bots/{bot_id}/touches/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/company/v2026-10/bots/{bot_id}/touches/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/v2026-10/bots/{bot_id}/touches/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"touch": {
"id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a90",
"bot_id": "0192f3c4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
"playbook_key": "declined_subscription",
"subject_type": "Commerce::Subscription",
"subject_id": "481",
"episode_key": "481:1761091200",
"arm": "treatment",
"status": "sent",
"refusal_reason": null,
"lever": "update_payment",
"channel": "email",
"message_type": "we_bot_subscription_save",
"slots": {},
"run_id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a95",
"approval_id": null,
"delivery_state": "sent",
"provider_message_id": "0100019a-ses",
"comms_event_id": null,
"click_count": null,
"template_version_id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a92",
"assigned_at": "2026-10-22T15:32:08Z",
"scheduled_for": null,
"requested_at": "2026-10-22T15:32:08Z",
"sent_at": "2026-10-22T15:32:08Z",
"delivered_at": "2026-10-22T15:32:08Z",
"first_opened_at": null,
"bounced_at": null,
"complained_at": null,
"first_clicked_at": null,
"window_ends_at": "2026-11-05T15:32:08Z",
"links": [
{
"kind": "subscription_recovered",
"order_id": 9012,
"ordered_at": "2026-10-22T15:32:08Z",
"amount_in_base_cents": 4999,
"financial_status": "paid"
}
]
},
"status": 200,
"meta": {
"request_uuid": "7e2c9b41-3f8a-4d15-b6e0-9a4c21d7f583",
"timestamp": "2026-10-22T15:32:08Z"
}
}{
"message": "Invalid credentials."
}{
"error": "Not authorized."
}{
"error": {
"message": "Bot not found",
"details": {}
},
"status": 404,
"meta": {
"request_uuid": "7e2c9b41-3f8a-4d15-b6e0-9a4c21d7f583",
"timestamp": "2026-10-22T15:32:08Z"
}
}